Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Receive a generic incoming support message

POST/support/incoming/{channelId}
Path parameters
channelIdstringrequired
Request body
application/json
fromEmailstring<email>required
fromNamestring
subjectstring
default: ""
textstringrequired
htmlstring
externalTicketIdstring
externalMessageIdstring
subTypestring
createdAtstring<date-time>
Responses
201

Message processed

okbooleanrequired
ticketIdstringrequired
ticketNumbernumberrequired
404

Channel not found or inactive

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/support/incoming/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fromEmail": "user@example.com",
  "fromName": "string",
  "subject": "",
  "text": "string",
  "html": "string",
  "externalTicketId": "string",
  "externalMessageId": "string",
  "subType": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}'
Response
{
  "ok": true,
  "ticketId": "string",
  "ticketNumber": 0
}